#!/bin/sh


WEBFOLDER="/flash/www";

# /flash/www    -    444
WWW_RW_R_R="css.css index.html menu.html socat.js start.html top.html"
# /flash/www    -    755
WWW_RWXR_XR_X="socat"
# /flash/www/cgi-bin    -    755
CGI_RWXR_XR_X="main.cgi socatsite.cgi status.cgi"
# /flash/www/cgi-bin    -    4755
CGI_SUID="socat.cgi"
# /flash/www/images    -    444
IMG_RW_R_R="menu1.gif menu3.gif menu31.gif menu4.gif menu41.gif top1.gif top2.gif"




echo --------------------- WWW ---------------------
echo chmod 755 $WEBFOLDER
chmod 755 $WEBFOLDER
echo

for w in $WWW_RW_R_R
do
	echo chmod 444 $WEBFOLDER/$w
	chmod 444 $WEBFOLDER/$w
done

for x in $WWW_RWXR_XR_X
do
	echo chmod 755 $WEBFOLDER/$x
	chmod 755 $WEBFOLDER/$x
done


echo
echo ------------------- CGI-BIN -------------------
echo chmod 755 $WEBFOLDER/cgi-bin
chmod 755 $WEBFOLDER/cgi-bin
echo

for c in $CGI_RWXR_XR_X
do
	echo chmod 755 $WEBFOLDER/cgi-bin/$c
	chmod 755 $WEBFOLDER/cgi-bin/$c
done

for u in $CGI_SUID
do
	echo chmod 4755 $WEBFOLDER/cgi-bin/$u
	chmod 4755 $WEBFOLDER/cgi-bin/$u
done


echo
echo ------------------- IMAGES -------------------
echo chmod 555 $WEBFOLDER/images
chmod 555 $WEBFOLDER/images
echo

for i in $IMG_RW_R_R
do
	echo chmod 444 $WEBFOLDER/images/$i
	chmod 444 $WEBFOLDER/images/$i
done


exit 0

